%global base_version 1.04

Summary:        Perl module that imports environment variables as scalars or arrays
Name:           perl-Env
Version:        1.05
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Env
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/Env-%{base_version}.tar.gz
# https://github.com/rafl/env/pull/1/commits/d815eea2472dcdc18c89a24add261d735a4aa0aa
Patch0:         upgrade-to-1.05-from-1.04.patch

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time
BuildRequires:  perl(Config) perl(Tie::Array)
# Tests
BuildRequires:  perl(Test::More) perl(vars)
BuildArch:      noarch


%description
Perl maintains environment variables in a special hash named %%ENV,
which is inconvenient, so the Perl module Env allows environment variables
to be treated as scalar or array variables.


%prep
%autosetup -n Env-%{base_version} -p1


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.05-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.05-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.05-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.05-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.05-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 rockerzhu <rockerzhu@tencent.com> - 1.05-1
- Initial build
